---
lang: en
title: 'API docs: openapi-v3.responsedecoratormetadataitem'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.responsedecoratormetadataitem.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [ResponseDecoratorMetadataItem](./openapi-v3.responsedecoratormetadataitem.md)

## ResponseDecoratorMetadataItem interface

**Signature:**

```typescript
export interface ResponseDecoratorMetadataItem 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[contentType](./openapi-v3.responsedecoratormetadataitem.contenttype.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[description](./openapi-v3.responsedecoratormetadataitem.description.md)


</td><td>


</td><td>

string


</td><td>


</td></tr>
<tr><td>

[responseCode](./openapi-v3.responsedecoratormetadataitem.responsecode.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[responseModelOrSpec](./openapi-v3.responsedecoratormetadataitem.responsemodelorspec.md)


</td><td>


</td><td>

[ResponseModelOrSpec](./openapi-v3.responsemodelorspec.md)


</td><td>


</td></tr>
</tbody></table>

